/**
 * ----------------------------------------
 * animation spin-circle
 * ----------------------------------------
 */
@keyframes spin-circle {
  to {
    transform: rotate(360deg);
  }
}

@variants responsive {
  .fx-spin-circle {
    @apply block w-6 h-6 rounded-full;
    @apply border-2 border-solid;
    border-color: var(--fx-spin-circle-color, theme('colors.white'));
    border-top-color: var(--fx-spin-circle-top-color, theme('colors.black'));
    animation-name: spin-circle;
    animation-duration: var(--duration-slowest);
    animation-timing-function: var(--linear);
    animation-iteration-count: infinite;
  }
}
